osgUtil::Simplifier::ContinueSimplificationCallback Class Reference

`#include <Simplifier>`

Inheritance diagram for osgUtil::Simplifier::ContinueSimplificationCallback:

## Public Member Functions

virtual bool | continueSimplification (const Simplifier &simplifier, float nextError, unsigned int numOriginalPrimitives, unsigned int numRemainingPrimitives) const
virtual bool | requiresDownSampling (const Simplifier &simplifier) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~ContinueSimplificationCallback ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ~ContinueSimplificationCallback()

virtual osgUtil::Simplifier::ContinueSimplificationCallback::~ContinueSimplificationCallback | ( |  | ) |

inline protected virtual

## Member Function Documentation

## continueSimplification()

virtual bool osgUtil::Simplifier::ContinueSimplificationCallback::continueSimplification | ( | const Simplifier & | simplifier,
|  | float | nextError,
|  | unsigned int | numOriginalPrimitives,
|  | unsigned int | numRemainingPrimitives ) const

inline virtual

return true if mesh should be continued to be simplified, return false to stop simplification.

References osgUtil::Simplifier::continueSimplificationImplementation(), and osgUtil::Simplifier::Simplifier().

## requiresDownSampling()

virtual bool osgUtil::Simplifier::ContinueSimplificationCallback::requiresDownSampling | ( | const Simplifier & | simplifier | ) | const

inline virtual

References osgUtil::Simplifier::requiresDownSamplingImplementation(), and osgUtil::Simplifier::Simplifier().

The documentation for this class was generated from the following file:

- Simplifier